#ifndef POINTLIST_H
#define POINTLIST_H

#include <vector>
#include "Point.h"

class PointList {
        public:
                void Add(Point& arg);
                void Print() const;
                double GetDistance() const;

        public:
                PointList() = default;
                PointList(const PointList& other);
                PointList& operator=(const PointList& other);
                ~PointList();

        private:
                std::vector<Point*> m_points;
                void DeepCopy(const PointList& other);
};

#endif // POINTLIST_H
