#include "Point.h"
#include "PointList.h"
#include <iostream>

int main() {
        // Erstellen der PointList
        PointList* pWayPoints = new PointList();

        // Hinzufügen von Wegepunkten
        pWayPoints->Add(*(new Point(49.12192452821553, 9.211100802045872, "74081 Heilbronn, Max-Planck-Straße 39")));
        pWayPoints->Add(*(new Point(49.12048223396379, 9.20712620461664, "74081 Heilbronn, Jörg-Ratgeb-Platz 1")));
        pWayPoints->Add(*(new Point(49.15188792098829, 9.234639505466209, "74076 Heilbronn, Im Breitenloch / Ecke, Kübelstraße")));

        // Ausgabe der Wegepunkte
        std::cout << "Wegepunkte:" << std::endl;
        pWayPoints->Print();

        // Berechnung und Ausgabe der Gesamtdistanz
        double totalDistance = pWayPoints->GetDistance();
        std::cout << std::endl << "Gesamtdistanz: " << totalDistance << " km" << std::endl;

        // Speicher freigeben
        delete pWayPoints;

        return 0;
}
